export declare const showIdNowModal: import("@preact/signals").Signal<boolean>;
export declare const idNowModalChildEntityId: import("@preact/signals").Signal<{
    documentDetails?: import("../../../../core/models/api/document").DocumentDetail[] | undefined;
    entityAssociations?: import("../../../../core/models/api/legal-entity-association").LegalEntityAssociation[] | undefined;
    individual?: import("../../../../core/models/api/individual").Individual | undefined;
    organization?: import("../../../../core/models/api/organization").Organization | undefined;
    soleProprietorship?: import("../../../../core/models/api/sole-proprietor").SoleProprietor | undefined;
    trust?: import("../../../../core/models/api/trust").Trust | undefined;
    unincorporatedPartnership?: import("../../../../core/models/api/unincorporated-partnership").UnincorporatedPartnership | undefined;
    capabilities?: Partial<Record<import("../../../../core/models/api/capability").CapabilityName, import("../../../../core/models/api/capability").Capability>> | undefined;
    problems?: import("../../../../core/models/api/problem").Problem[] | undefined;
    transferInstruments?: import("../../../../core/models/api/transfer-instrument").TransferInstrumentOverview[] | undefined;
    trustedFields?: import("../../../../core/models/api/legal-entity").LegalEntityTrustedFields[] | undefined;
    id: string;
    type: import("../../../../core/models/api/legal-entity-type").LegalEntityType;
} | undefined>;
export declare const idNowPostSubmit: import("@preact/signals").Signal<boolean>;
export declare const shouldShowIdNowModal: import("@preact/signals").ReadonlySignal<boolean>;
